;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect 
;02.LV reset mode: 				LVR disable
;03.Fast Clock source selection:Fast Crystal 
;04.WDT reset enable			Disable WDT Reset  
;05.EV option(5) 				INT_CLK
;06 IRC Frequency select        0
;----------------------------------
;File Note:
;Name TM57ML40_PLL.asm 
;check sum:000AH 
;Date 2010/11/9
;----------------------------------
;Program Note:
;1/(Fosc/Pre divisor* PWM0PRD=pwm cycle
;pwm cycle/PWM0PRD * PWM0_DUTY=pwm duty
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#include "TM57ML40_en.inc"
	
		org		000h	  
		goto	start

		org		10h	 
start: 								;pwm Initialization
		movlw   00100000b
		movwr	CLKCTRL	 			;Auto Save W register and STATUS register when interrupt, 

		movlw	11111111b
		movwr	FIRC_PLL
							;CLKSEL 17.7~6 W 01
							;PLLCLK & FIRCCLK select
							;00: PLLCLK=PLLOUT/1 , FIRCCLK = 8M
							;01: PLLCLK=PLLOUT/2 , FIRCCLK = 4M
							;10: PLLCLK=PLLOUT/4 , FIRCCLK = 2M
							;11: PLLCLK=PLLOUT/8 , FIRCCLK = 512K
							;PLLM 17.5~0 W 0 PLLOUT = 32768 * 4 *(64+PLLM)
		movlw	11111111b
		movwr	PBE
  
main:  
;		nop 
;		nop
		bcf	PBD,1 
		bSf	PBD,1
		bcf	PBD,1
		bSf	PBD,1
		bcf	PBD,1 
		bSf	PBD,1
		bcf	PBD,1
		bSf	PBD,1		
		goto	main  

				                
        end