;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;		Program	Config
;01.Code protection selection:	Not Protect 
;02.LV reset mode: 				LVR disable
;03.Fast Clock source selection:Fast Crystal 
;04.WDT reset enable			Disable WDT Reset  
;05.EV option(5) 				INT_CLK
;06 IRC Frequency select        0
;----------------------------------
;File Note:
;Name TM57ML40_PWM1.asm 
;check sum:000AH 
;Date 2010/10/15
;----------------------------------
;Program Note:
;1/Fosc*256=pwm cycle
;pwm cycle/256*PWM0_DUTY=pwm duty
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#include "TM57ML40_en.inc"

		org		000h	  
		goto	start

		org		10h	 
start: 								;pwm Initialization
		movlw	11111111b
		movwr	PDE	              	;PD0=1 is output
		
        movlw	100
        movwf	PWM1DUTY			;PWM1 duty set 
         
		movlw	11111111b
		movwr	WKTPSC		        ;bit2 PWM1E=1 PWM1 output to PD0 pin
      
main:  
		nop 
        nop
        
		goto	main 	                
        end